Complete a Reminder
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Reminder/Completed/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"noteTypeName": "<string>",
"note": "<string>",
"timeSpent": "<integer>",
"isImportant": "<boolean>",
"isPrivate": "<boolean>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
noteTypeName: '<string>',
note: '<string>',
timeSpent: '<integer>',
isImportant: '<boolean>',
isPrivate: '<boolean>'
})
};
fetch('https://api.virtuoussoftware.com/api/Reminder/Completed/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Reminder/Completed/{id}"
payload = {
"noteTypeName": "<string>",
"note": "<string>",
"timeSpent": "<integer>",
"isImportant": "<boolean>",
"isPrivate": "<boolean>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Reminder/Completed/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"noteTypeName\": \"<string>\",\n \"note\": \"<string>\",\n \"timeSpent\": \"<integer>\",\n \"isImportant\": \"<boolean>\",\n \"isPrivate\": \"<boolean>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Reminder/Completed/{id}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
noteTypeName: '<string>',
note: '<string>',
timeSpent: '<integer>',
isImportant: '<boolean>',
isPrivate: '<boolean>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 860020,
"message": "Call Priya about leading a Holiday Meals distribution shift",
"targetDate": "2025-11-20",
"targetResolutionDateUtc": "2025-11-20T17:00:00Z",
"contactId": 100456,
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100456",
"contactDisplayName": "Priya Sharma",
"contactAvatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200456/Avatar",
"reminderType": "Task",
"reminderTypeDisplayName": "Task",
"taskStatus": "Completed",
"taskStatusDisplayName": "Completed",
"completeUrl": "https://api.virtuoussoftware.com/api/Reminder/Completed/860020",
"dismissUrl": "https://api.virtuoussoftware.com/api/Reminder/Dismissed/860020",
"description": "Call Priya about leading a Holiday Meals distribution shift",
"hasContact": true,
"isPastDue": false,
"isUnresolved": false,
"canComplete": false,
"completeActionName": "Complete",
"canCompleteWithNote": true,
"owner": "Partner Integration",
"ownerAvatarUrl": null
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Reminders (Deprecated)
Complete a Reminder
Marks the reminder as complete and records a contact note describing the follow-up. Send noteTypeName and note for the note to file, and timeSpent to log how long it took.
PUT
/
api
/
Reminder
/
Completed
/
{id}
Complete a Reminder
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The reminder identifier.
Body
application/json
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the contact this record belongs to.
A link to the related contact.
The free-text description stored on the record.
Last modified on August 11, 2026
Was this page helpful?
⌘I